LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::util::Endianness Constant Group Reference

These constants describe the endianness of data structures. More...

## Variables
const byte | LITTLE =0
| Little endian. More...
const byte | BIG =1
| Big endian. More...

## Detailed Description

These constants describe the endianness of data structures.

The endianness specifies the order in which the bytes of larger types are laid out in memory.

Since
  OOo 2.0

## Variable Documentation

const byte BIG =1

Big endian.

The values are stored in big endian format, i.e. the bytes of the long word 0xAABBCCDD are laid out like 0xAA, 0xBB, 0xCC, 0xDD in memory. That is, data of arbitrary machine word lengths always start with the most significant byte, and ends with the least significant one.

const byte LITTLE =0

Little endian.

The values are stored in little endian format, i.e. the bytes of the long word 0xAABBCCDD are laid out like 0xDD, 0xCC, 0xBB, 0xAA in memory. That is, data of arbitrary machine word lengths always starts with the least significant byte, and ends with the most significant one.